Page MenuHomePhabricator

eo: to avoid mistake in timing, efl_invalidate should always be triggered before any destructor code.
ClosedPublic

Authored by cedric on May 7 2018, 11:26 AM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.May 7 2018, 11:26 AM
zmike accepted this revision.May 8 2018, 8:18 AM

This should help standardize destructor codepaths and eliminate new behavior (such as smart callbacks during deletion) which has recently crept in.

This revision is now accepted and ready to land.May 8 2018, 8:18 AM
cedric updated this revision to Diff 14689.May 22 2018, 4:55 PM
cedric edited the summary of this revision. (Show Details)
Closed by commit rEFL36f8a70041a8: eo: to avoid mistake in timing, efl_invalidate should always be triggered… (authored by Cedric Bail <cedric@osg.samsung.com>, committed by cedric). · Explain WhyMay 24 2018, 4:10 PM
This revision was automatically updated to reflect the committed changes.